<app-navbar></app-navbar>

<div id="page-content" class="">
    <!--Container-->
    <div class="container p-0 bx-s max-992 mb-3 mt-3 h-70vh mb-5" *ngIf="sellerChat">
        <!--Main Content-->
        <div class="row" *ngIf="sellerChat.length > 0; else nochat">
            <!--<div class="col-md-12">
            <h2>Déposer une annonce</h2>
            </div>-->
            <div class="col-12 col-sm-6 col-md-3 col-lg-3 mb-4 mb-md-0 col-3 d-none d-lg-block d-xl-block">
                <div class="scro-ling">
                    <!-- <div class="p-10">
                        <input class="input-chk-box" type="checkbox" id="myCheck">
                        <label for="myCheck">Checkbox:</label>
                        <div id="text" style="display:none"><span><a>Annuler</a></span><span class="float-right"><a>Tout
                           sélectionner</a></span></div>
                    </div> -->
                    <div class="p-10 l-section" *ngFor="let seller of sellerChat">
                        <div class="img-bx" (click)="openChat(seller._id, seller.pro_rec_images[0][0], seller)">
                            <!-- <input type="checkbox" class="chk"> -->
                            <div *ngIf="seller.pro_rec_images.length != 0;else other_content">
                                <img class="side-img" src="{{baseurl}}static/public/{{seller.pro_rec_images[0][0]}}">
                            </div>
                            <ng-template #other_content>
                                <img class="mw-100"
                                    src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/640px-Image_not_available.png">
                            </ng-template>


                            <div style="width:100%;">
                                <h3 class="mb-0"><span class="ttl-nam">
                                        {{seller.user_first_name}} {{seller.user_last_name}}
                                    </span>
                                    <span class="trash-f">
                                        <a href="javascript:void0;"
                                                data-bs-toggle="modal"
                                                data-bs-target="#myModalf"><i
                                                    class="fa-solid fa-flag"></i></a>
                                            <!-- <a href="javascript:void0;"
                                                data-bs-toggle="modal"
                                                data-bs-target="#myModalt"><i
                                                    class="fa-solid fa-trash"></i></a> -->
                                                    <a (click)="deletemyChat(seller)"><i
                                                        class="fa-solid fa-trash"></i></a>
                                    </span>
                                </h3>
                                <p>{{seller.pro_rec_title}}</p>
                                <!-- <p>{{seller.created_at | date:'M/d/yy hh mm'}} - {{seller.message}}</p> -->
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-12 col-md-12 col-lg-6 mb-md-0 p-0 mb-0">
                <div class="container bootstrap snippets bootdey p-0">
                    <div class="row">
                        <!--=========================================================-->
                        <!-- selected chat -->
                        <div class="col-md-12 bg-white p-0">
                            <div class="chat-message">


                                <ul class="chat">
                                    <div *ngFor="let mes of myChat">
                                        <li class="left clearfix" *ngIf="mes.message_by == 2">
                                            <div class="chat-body clearfix">
                                                <div class="">
                                                    <!-- <strong class="primary-font">John Doe</strong> -->
                                                    <small class="pull-right text-muted"><i class="fa fa-clock-o"></i>
                                                        {{mes.created_at|date:'M/d/yy, h:mm a'}}
                                                    </small>
                                                </div>
                                                <p>
                                                    {{mes.message}}
                                                </p>
                                            </div>
                                        </li>
                                        <li class="right clearfix" *ngIf="mes.message_by == 1">
                                            <div class="chat-body clearfix">
                                                <div class="">
                                                    <strong class="primary-font">{{mes.first_name}}
                                                        {{mes.last_name}}</strong>
                                                    <small class="pull-right text-muted"><i class="fa fa-clock-o"></i>
                                                        {{mes.created_at|date:'M/d/yy, h:mm a'}}
                                                    </small>
                                                </div>
                                                <p>
                                                    {{mes.message}}
                                                </p>
                                            </div>
                                        </li>
                                    </div>
                                </ul>
                            </div>

                            <div class="chat-box-tray">
                                <form class="sign-form" [formGroup]="chatform" (submit)="sendmsg()">
                                    <input type="text" class="in-chat" placeholder="Tapez votre message ici..."
                                        formControlName="message">
                                    <div class="atch">
                                        <a class="f-child">
                                            <div class="fo-rm">
                                                <input class="fom-up" type="file" multiple="">
                                                <i class="fa-solid fa-paperclip"></i>
                                            </div>
                                        </a>
                                        <a>
                                            <i class="fa-solid fa-camera"></i>
                                        </a>
                                        <button type="submit" style="border: none;">
                                            <a>
                                                <i class="fa-solid fa-paper-plane"></i>
                                            </a>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-6 col-md-3 col-lg-3 mb-4 mb-md-0 positon-r d-none d-lg-block d-xl-block flex-rc">
                <div class="img-data">
                    <div class="img-data1"><img class="side-img" src="{{baseurl}}static/public/{{userPhoto}}"></div>
                    <div class="img-data2">
                        <h4 class="mb-0 ti-tl">{{productName}}</h4>

                        <p><span class="secure-pay">Paiement sécurisé</span></p>
                    </div>
                    <!-- <div>Dummy <i class="fa-solid fa-angle-right pl-5"></i></div> -->
                    <!-- <div class="text-right">
                  <div class="dropdown">
                     <button type="button" id="" class="btn btn-elip dropdown-toggle" data-bs-toggle="dropdown">
                        <i class="fa-solid fa-ellipsis-vertical"></i>
                     </button>
                     <ul class="dropdown-menu drop-down-menu p-0" aria-labelledby="dropdownMenuButton1 ">
                        <li><a class="dropdown-item">Données personnelles</a></li>
                        <li><a class="dropdown-item">Débloquer cet utilisateur</a></li>
                        <li><a class="dropdown-item">Signaler cet utilisateur</a></li>
                        <li><a class="dropdown-item">Supprimer la conversation</a></li>
                     </ul>
                  </div>
               </div> -->
                </div>
                <!-- <div class="r-div-1">
                     <p class="usr-p"><i class="fa-solid fa-message"></i>Typically responds within 10 minutes</p>
                </div> -->
                <div class="img-data">
                    <div class="img-data1">
                        <img class="side-img" src="{{baseurl}}static/public/{{productImg}}" width="80">
                    </div>
                    <div class="img-data2">
                        <h4 class="mb-0 ti-tl">{{productName}}</h4>

                        <p><span class="secure-pay">Paiement sécurisé</span></p>
                    </div>
                </div>
                <div class="ovr-div">
                    <div class="drs-bordr">
                        <h3 class="mb-0">Description</h3>
                        <p class="secure-pay">{{productDesc}}</p>


                    </div>

                </div>
            </div>
        </div>
        <ng-template #nochat>
            <div class="container">
                <div class="screen-mtb-50">
                    <div class="row">
                        <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                            <div class="row">

                                <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                    <img class="mw-100" src="./assets/build/img/nochat1.png" width="180" />
                                    <h2 class="f-w-600 mt-3">Aucun message disponible</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
        <!--End Main Content-->
    </div>
    <!--End Container-->
</div>
<div class="modal" id="myModalf">
    <div class="modal-dialog">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Signaler cet utilisateur</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <!-- Modal body -->
            <div class="modal-body">
                <ul class="flag-ul">
                    <li>
                        <label class="container-r">Attitude discriminatoire ou insultes
                        <input type="radio"  name="radio">
                        <span class="checkmark-r"></span>
                    </label>
                    </li>
                    <li>
                        <label class="container-r">Comportement inapproprié, offensant ou sexuel
                        <input type="radio"  name="radio">
                        <span class="checkmark-r"></span>
                    </label>
                    </li>
                    <li>
                        <label class="container-r">Menaces
                        <input type="radio"  name="radio">
                        <span class="checkmark-r"></span>
                    </label>
                    </li>
                </ul>
                <div>
                    <button type="button" class="btn btn-signs" data-bs-dismiss="modal">Soumette</button>
                </div>
            </div>
        </div>
    </div>
</div>

<app-footer></app-footer>